Subject: Re: [PATCH v4 8/9] Use uintmax_t for timestamps

From: Junio C Hamano <[email-masked]>
Date: Tue, 25 Apr 2017 18:52:23 -0700

Johannes Schindelin <[email-masked]> writes:

> In any case, it is a question unrelated to the work I performed in this
> patch series: the raison d'être of these patches is to allow timestamps to
> refer to dates that are currently insanely far in the future.

Yes, but the job of the maintainer is to prevent narrow-focused
individual contributors from throwing us into a hole we cannot dig
out of by closing the door for plausible future enhancements.